Loading...
Searching...
No Matches
p_MemCmp.h File Reference

Go to the source code of this file.

## Macros

#define | _p_MemCmp_Declare(s1, s2)
#define | _p_MemCmp_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_NotEqual(actionG, actionS)
#define | _p_MemCmp_LengthOne_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthTwo_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthThree_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthFour_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthFive_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthSix_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthSeven_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthEight_Equal(i, s1, s2, actionE)
#define | _p_MemCmp_LengthGeneral_Equal(i, s1, s2, length, actionE)
#define | p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthOne_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthTwo_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthTwo_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthTwo_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthTwo_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthTwo_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | _p_MemCmp_OrdGeneral_Declare(s1, s2)
#define | _p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS)
#define | _p_MemCmp_OrdGeneral(i, actionE)
#define | _p_MemCmp_LengthTwo_OrdGeneral(actionE)
#define | _p_MemCmp_LengthThree_OrdGeneral(actionE)
#define | _p_MemCmp_LengthFour_OrdGeneral(actionE)
#define | _p_MemCmp_LengthFive_OrdGeneral(actionE)
#define | _p_MemCmp_LengthSix_OrdGeneral(actionE)
#define | _p_MemCmp_LengthSeven_OrdGeneral(actionE)
#define | _p_MemCmp_LengthEight_OrdGeneral(actionE)
#define | p_MemCmp_LengthOne_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthTwo_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthThree_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFour_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthFive_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSix_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthSeven_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthEight_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | p_MemCmp_LengthGeneral_OrdGeneral2(s1, s2, length, ordsgn, actionE, actionG, actionS)
#define | _p_MemCmp_Bitmask_Declare(s1, s2, bitmask)
#define | p_MemCmp_Bitmask_LengthGeneral(s1, s2, bitmask, length, actionG, actionS)
#define | _p_MemCmp_Bitmask(i, actionS)
#define | _p_MemCmp_Bitmask_LengthTwo(actionS)
#define | _p_MemCmp_Bitmask_LengthThree(actionS)
#define | _p_MemCmp_Bitmask_LengthFour(actionS)
#define | _p_MemCmp_Bitmask_LengthFive(actionS)
#define | _p_MemCmp_Bitmask_LengthSix(actionS)
#define | _p_MemCmp_Bitmask_LengthSeven(actionS)
#define | _p_MemCmp_Bitmask_LengthEight(actionS)
#define | p_MemCmp_Bitmask_LengthZero(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthOne(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthTwo(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthThree(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthFour(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthFive(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthSix(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthSeven(s1, s2, bitmask, length, actionG, actionS)
#define | p_MemCmp_Bitmask_LengthEigth(s1, s2, bitmask, length, actionG, actionS)

## Macro Definition Documentation

## _p_MemCmp_Bitmask

#define _p_MemCmp_Bitmask | ( |  | i,
|  |  | actionS )

Value:
do \
{ \
_i = i; \
_v1 = _s1[i]; \
_v2 = _s2[i]; \
if ((_v1 > _v2) || \
(((_v1 & _bitmask) ^ (_v2 & _bitmask)) != ((_v2 - _v1) & _bitmask))) \
actionS; \
} \
while (0)
i
int i
Definition cfEzgcd.cc:132

Definition at line 803 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask(i, actionS) \
do \
{ \
_i = i; \
_v1 = _s1[i]; \
_v2 = _s2[i]; \
if ((_v1 > _v2) || \
(((_v1 & _bitmask) ^ (_v2 & _bitmask)) != ((_v2 - _v1) & _bitmask))) \
actionS; \
} \
while (0)

## _p_MemCmp_Bitmask_Declare

#define _p_MemCmp_Bitmask_Declare | ( |  | s1,
|  |  | s2,
|  |  | bitmask )

Value:
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
REGISTER const unsigned long _bitmask = bitmask; \
REGISTER unsigned long _v1; \
REGISTER unsigned long _v2; \
REGISTER unsigned long _i \
REGISTER
#define REGISTER
Definition omalloc.h:27

Definition at line 771 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_Declare(s1, s2, bitmask) \
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
REGISTER const unsigned long _bitmask = bitmask; \
REGISTER unsigned long _v1; \
REGISTER unsigned long _v2; \
REGISTER unsigned long _i \

## _p_MemCmp_Bitmask_LengthEight

#define _p_MemCmp_Bitmask_LengthEight | ( |  | actionS | ) |

Value:
do \
{ \
_p_MemCmp_Bitmask_LengthSeven(actionS); \
_p_MemCmp_Bitmask(7, actionS); \
} \
while (0)

Definition at line 865 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_LengthEight(actionS) \
do \
{ \
_p_MemCmp_Bitmask_LengthSeven(actionS); \
_p_MemCmp_Bitmask(7, actionS); \
} \
while (0)

## _p_MemCmp_Bitmask_LengthFive

#define _p_MemCmp_Bitmask_LengthFive | ( |  | actionS | ) |

Value:
do \
{ \
_p_MemCmp_Bitmask_LengthFour(actionS); \
_p_MemCmp_Bitmask(4, actionS); \
} \
while (0)

Definition at line 840 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_LengthFive(actionS) \
do \
{ \
_p_MemCmp_Bitmask_LengthFour(actionS); \
_p_MemCmp_Bitmask(4, actionS); \
} \
while (0)

## _p_MemCmp_Bitmask_LengthFour

#define _p_MemCmp_Bitmask_LengthFour | ( |  | actionS | ) |

Value:
do \
{ \
_p_MemCmp_Bitmask_LengthThree(actionS); \
_p_MemCmp_Bitmask(3, actionS); \
} \
while (0)

Definition at line 831 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_LengthFour(actionS) \
do \
{ \
_p_MemCmp_Bitmask_LengthThree(actionS); \
_p_MemCmp_Bitmask(3, actionS); \
} \
while (0)

## _p_MemCmp_Bitmask_LengthSeven

#define _p_MemCmp_Bitmask_LengthSeven | ( |  | actionS | ) |

Value:
do \
{ \
_p_MemCmp_Bitmask_LengthSix(actionS); \
_p_MemCmp_Bitmask(6, actionS); \
} \
while (0)

Definition at line 857 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_LengthSeven(actionS) \
do \
{ \
_p_MemCmp_Bitmask_LengthSix(actionS); \
_p_MemCmp_Bitmask(6, actionS); \
} \
while (0)

## _p_MemCmp_Bitmask_LengthSix

#define _p_MemCmp_Bitmask_LengthSix | ( |  | actionS | ) |

Value:
do \
{ \
_p_MemCmp_Bitmask_LengthFive(actionS); \
_p_MemCmp_Bitmask(5, actionS); \
} \
while (0)

Definition at line 849 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_LengthSix(actionS) \
do \
{ \
_p_MemCmp_Bitmask_LengthFive(actionS); \
_p_MemCmp_Bitmask(5, actionS); \
} \
while (0)

## _p_MemCmp_Bitmask_LengthThree

#define _p_MemCmp_Bitmask_LengthThree | ( |  | actionS | ) |

Value:
do \
{ \
_p_MemCmp_Bitmask_LengthTwo(actionS); \
_p_MemCmp_Bitmask(2, actionS); \
} \
while (0)

Definition at line 823 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_LengthThree(actionS) \
do \
{ \
_p_MemCmp_Bitmask_LengthTwo(actionS); \
_p_MemCmp_Bitmask(2, actionS); \
} \
while (0)

## _p_MemCmp_Bitmask_LengthTwo

#define _p_MemCmp_Bitmask_LengthTwo | ( |  | actionS | ) |

Value:
do \
{ \
_p_MemCmp_Bitmask(0, actionS); \
_p_MemCmp_Bitmask(1, actionS); \
} \
while (0)

Definition at line 815 of file p_MemCmp.h.

#define _p_MemCmp_Bitmask_LengthTwo(actionS) \
do \
{ \
_p_MemCmp_Bitmask(0, actionS); \
_p_MemCmp_Bitmask(1, actionS); \
} \
while (0)

## _p_MemCmp_Declare

#define _p_MemCmp_Declare | ( |  | s1,
|  |  | s2 )

Value:
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
REGISTER unsigned long _v1; \
REGISTER unsigned long _v2

Definition at line 18 of file p_MemCmp.h.

#define _p_MemCmp_Declare(s1, s2) \
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
REGISTER unsigned long _v1; \
REGISTER unsigned long _v2

## _p_MemCmp_Equal

#define _p_MemCmp_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
do { _v1=((unsigned long*)s1)[i]; _v2=((unsigned long*)s2)[i]; if (_v1==_v2) actionE; }while (0)

Definition at line 24 of file p_MemCmp.h.

#define _p_MemCmp_Equal(i, s1, s2, actionE) \
do { _v1=((unsigned long*)s1)[i]; _v2=((unsigned long*)s2)[i]; if (_v1==_v2) actionE; }while (0)

## _p_MemCmp_LengthEight_Equal

#define _p_MemCmp_LengthEight_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_LengthSeven_Equal(i, s1, s2, _p_MemCmp_Equal(i+7, s1, s2, actionE))
_p_MemCmp_Equal
#define _p_MemCmp_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:24
_p_MemCmp_LengthSeven_Equal
#define _p_MemCmp_LengthSeven_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:41

Definition at line 43 of file p_MemCmp.h.

#define _p_MemCmp_LengthEight_Equal(i, s1, s2, actionE) \
_p_MemCmp_LengthSeven_Equal(i, s1, s2, _p_MemCmp_Equal(i+7, s1, s2, actionE))

## _p_MemCmp_LengthEight_OrdGeneral

#define _p_MemCmp_LengthEight_OrdGeneral | ( |  | actionE | ) |

Value:
_p_MemCmp_LengthSeven_OrdGeneral(_p_MemCmp_OrdGeneral(7, actionE))
_p_MemCmp_OrdGeneral
#define _p_MemCmp_OrdGeneral(i, actionE)
Definition p_MemCmp.h:611
_p_MemCmp_LengthSeven_OrdGeneral
#define _p_MemCmp_LengthSeven_OrdGeneral(actionE)
Definition p_MemCmp.h:636

Definition at line 639 of file p_MemCmp.h.

#define _p_MemCmp_LengthEight_OrdGeneral(actionE) \
_p_MemCmp_LengthSeven_OrdGeneral(_p_MemCmp_OrdGeneral(7, actionE))

## _p_MemCmp_LengthFive_Equal

#define _p_MemCmp_LengthFive_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_LengthFour_Equal(i, s1, s2, _p_MemCmp_Equal(i+4, s1, s2, actionE))
_p_MemCmp_LengthFour_Equal
#define _p_MemCmp_LengthFour_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:35

Definition at line 37 of file p_MemCmp.h.

#define _p_MemCmp_LengthFive_Equal(i, s1, s2, actionE) \
_p_MemCmp_LengthFour_Equal(i, s1, s2, _p_MemCmp_Equal(i+4, s1, s2, actionE))

## _p_MemCmp_LengthFive_OrdGeneral

#define _p_MemCmp_LengthFive_OrdGeneral | ( |  | actionE | ) |

Value:
_p_MemCmp_LengthFour_OrdGeneral(_p_MemCmp_OrdGeneral(4, actionE))
_p_MemCmp_LengthFour_OrdGeneral
#define _p_MemCmp_LengthFour_OrdGeneral(actionE)
Definition p_MemCmp.h:627

Definition at line 630 of file p_MemCmp.h.

#define _p_MemCmp_LengthFive_OrdGeneral(actionE) \
_p_MemCmp_LengthFour_OrdGeneral(_p_MemCmp_OrdGeneral(4, actionE))

## _p_MemCmp_LengthFour_Equal

#define _p_MemCmp_LengthFour_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_LengthThree_Equal(i, s1, s2, _p_MemCmp_Equal(i+3, s1, s2, actionE))
_p_MemCmp_LengthThree_Equal
#define _p_MemCmp_LengthThree_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:33

Definition at line 35 of file p_MemCmp.h.

#define _p_MemCmp_LengthFour_Equal(i, s1, s2, actionE) \
_p_MemCmp_LengthThree_Equal(i, s1, s2, _p_MemCmp_Equal(i+3, s1, s2, actionE))

## _p_MemCmp_LengthFour_OrdGeneral

#define _p_MemCmp_LengthFour_OrdGeneral | ( |  | actionE | ) |

Value:
_p_MemCmp_LengthThree_OrdGeneral(_p_MemCmp_OrdGeneral(3, actionE))
_p_MemCmp_LengthThree_OrdGeneral
#define _p_MemCmp_LengthThree_OrdGeneral(actionE)
Definition p_MemCmp.h:624

Definition at line 627 of file p_MemCmp.h.

#define _p_MemCmp_LengthFour_OrdGeneral(actionE) \
_p_MemCmp_LengthThree_OrdGeneral(_p_MemCmp_OrdGeneral(3, actionE))

## _p_MemCmp_LengthGeneral_Equal

#define _p_MemCmp_LengthGeneral_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | length,
|  |  | actionE )

Value:
do \
{ \
\
REGISTER unsigned long _i = (unsigned long) i; \
const unsigned long _l = \
(unsigned long) length + (unsigned long)i ; \
\
LengthGeneral_LoopTop: \
_v1 = s1[_i]; \
_v2 = s2[_i]; \
if (_v1 == _v2) \
{ \
_i++; \
if (_i == _l) actionE; \
else goto LengthGeneral_LoopTop; \
} \
} \
while (0)
length
static BOOLEAN length(leftv result, leftv arg)
Definition interval.cc:257

Definition at line 45 of file p_MemCmp.h.

#define _p_MemCmp_LengthGeneral_Equal(i, s1, s2, length, actionE) \
do \
{ \
\
REGISTER unsigned long _i = (unsigned long) i; \
const unsigned long _l = \
(unsigned long) length + (unsigned long)i ; \
\
LengthGeneral_LoopTop: \
_v1 = s1[_i]; \
_v2 = s2[_i]; \
if (_v1 == _v2) \
{ \
_i++; \
if (_i == _l) actionE; \
else goto LengthGeneral_LoopTop; \
} \
} \
while (0)

## _p_MemCmp_LengthOne_Equal

#define _p_MemCmp_LengthOne_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_Equal(i, s1, s2, actionE)

Definition at line 29 of file p_MemCmp.h.

#define _p_MemCmp_LengthOne_Equal(i, s1, s2, actionE) \
_p_MemCmp_Equal(i, s1, s2, actionE)

## _p_MemCmp_LengthSeven_Equal

#define _p_MemCmp_LengthSeven_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_LengthSix_Equal(i, s1, s2, _p_MemCmp_Equal(i+6, s1, s2, actionE))
_p_MemCmp_LengthSix_Equal
#define _p_MemCmp_LengthSix_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:39

Definition at line 41 of file p_MemCmp.h.

#define _p_MemCmp_LengthSeven_Equal(i, s1, s2, actionE) \
_p_MemCmp_LengthSix_Equal(i, s1, s2, _p_MemCmp_Equal(i+6, s1, s2, actionE))

## _p_MemCmp_LengthSeven_OrdGeneral

#define _p_MemCmp_LengthSeven_OrdGeneral | ( |  | actionE | ) |

Value:
_p_MemCmp_LengthSix_OrdGeneral(_p_MemCmp_OrdGeneral(6, actionE))
_p_MemCmp_LengthSix_OrdGeneral
#define _p_MemCmp_LengthSix_OrdGeneral(actionE)
Definition p_MemCmp.h:633

Definition at line 636 of file p_MemCmp.h.

#define _p_MemCmp_LengthSeven_OrdGeneral(actionE) \
_p_MemCmp_LengthSix_OrdGeneral(_p_MemCmp_OrdGeneral(6, actionE))

## _p_MemCmp_LengthSix_Equal

#define _p_MemCmp_LengthSix_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_LengthFive_Equal(i, s1, s2, _p_MemCmp_Equal(i+5, s1, s2, actionE))
_p_MemCmp_LengthFive_Equal
#define _p_MemCmp_LengthFive_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:37

Definition at line 39 of file p_MemCmp.h.

#define _p_MemCmp_LengthSix_Equal(i, s1, s2, actionE) \
_p_MemCmp_LengthFive_Equal(i, s1, s2, _p_MemCmp_Equal(i+5, s1, s2, actionE))

## _p_MemCmp_LengthSix_OrdGeneral

#define _p_MemCmp_LengthSix_OrdGeneral | ( |  | actionE | ) |

Value:
_p_MemCmp_LengthFive_OrdGeneral(_p_MemCmp_OrdGeneral(5, actionE))
_p_MemCmp_LengthFive_OrdGeneral
#define _p_MemCmp_LengthFive_OrdGeneral(actionE)
Definition p_MemCmp.h:630

Definition at line 633 of file p_MemCmp.h.

#define _p_MemCmp_LengthSix_OrdGeneral(actionE) \
_p_MemCmp_LengthFive_OrdGeneral(_p_MemCmp_OrdGeneral(5, actionE))

## _p_MemCmp_LengthThree_Equal

#define _p_MemCmp_LengthThree_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_LengthTwo_Equal(i, s1, s2, _p_MemCmp_Equal(i+2, s1, s2, actionE))
_p_MemCmp_LengthTwo_Equal
#define _p_MemCmp_LengthTwo_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:31

Definition at line 33 of file p_MemCmp.h.

#define _p_MemCmp_LengthThree_Equal(i, s1, s2, actionE) \
_p_MemCmp_LengthTwo_Equal(i, s1, s2, _p_MemCmp_Equal(i+2, s1, s2, actionE))

## _p_MemCmp_LengthThree_OrdGeneral

#define _p_MemCmp_LengthThree_OrdGeneral | ( |  | actionE | ) |

Value:
_p_MemCmp_LengthTwo_OrdGeneral(_p_MemCmp_OrdGeneral(2, actionE))
_p_MemCmp_LengthTwo_OrdGeneral
#define _p_MemCmp_LengthTwo_OrdGeneral(actionE)
Definition p_MemCmp.h:621

Definition at line 624 of file p_MemCmp.h.

#define _p_MemCmp_LengthThree_OrdGeneral(actionE) \
_p_MemCmp_LengthTwo_OrdGeneral(_p_MemCmp_OrdGeneral(2, actionE))

## _p_MemCmp_LengthTwo_Equal

#define _p_MemCmp_LengthTwo_Equal | ( |  | i,
|  |  | s1,
|  |  | s2,
|  |  | actionE )

Value:
_p_MemCmp_Equal(i, s1, s2, _p_MemCmp_Equal(i+1, s1, s2, actionE))

Definition at line 31 of file p_MemCmp.h.

#define _p_MemCmp_LengthTwo_Equal(i, s1, s2, actionE) \
_p_MemCmp_Equal(i, s1, s2, _p_MemCmp_Equal(i+1, s1, s2, actionE))

## _p_MemCmp_LengthTwo_OrdGeneral

#define _p_MemCmp_LengthTwo_OrdGeneral | ( |  | actionE | ) |

Value:
_p_MemCmp_OrdGeneral(0, _p_MemCmp_OrdGeneral(1, actionE))

Definition at line 621 of file p_MemCmp.h.

#define _p_MemCmp_LengthTwo_OrdGeneral(actionE) \
_p_MemCmp_OrdGeneral(0, _p_MemCmp_OrdGeneral(1, actionE))

## _p_MemCmp_NotEqual

#define _p_MemCmp_NotEqual | ( |  | actionG,
|  |  | actionS )

Value:
do {if (_v1 > _v2) actionG; actionS;} while (0)

Definition at line 26 of file p_MemCmp.h.

#define _p_MemCmp_NotEqual(actionG, actionS) \
do {if (_v1 > _v2) actionG; actionS;} while (0)

## _p_MemCmp_OrdGeneral

#define _p_MemCmp_OrdGeneral | ( |  | i,
|  |  | actionE )

Value:
do \
{ \
_i = i; \
_v1 = _s1[i]; \
_v2 = _s2[i]; \
if (_v1 == _v2) actionE; \
} \
while(0)

Definition at line 611 of file p_MemCmp.h.

#define _p_MemCmp_OrdGeneral(i, actionE) \
do \
{ \
_i = i; \
_v1 = _s1[i]; \
_v2 = _s2[i]; \
if (_v1 == _v2) actionE; \
} \
while(0)

## _p_MemCmp_OrdGeneral_Declare

#define _p_MemCmp_OrdGeneral_Declare | ( |  | s1,
|  |  | s2 )

Value:
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
REGISTER unsigned long _v1; \
REGISTER unsigned long _v2; \
REGISTER unsigned long _i

Definition at line 590 of file p_MemCmp.h.

#define _p_MemCmp_OrdGeneral_Declare(s1, s2) \
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
REGISTER unsigned long _v1; \
REGISTER unsigned long _v2; \
REGISTER unsigned long _i

## _p_MemCmp_OrdGeneral_NotEqual

#define _p_MemCmp_OrdGeneral_NotEqual | ( |  | ordsgn,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
const long* _ordsgn = (long*) ordsgn; \
if (_v1 > _v2) \
{ \
if (_ordsgn[_i] == 1) actionG; \
actionS; \
} \
if (_ordsgn[_i] == 1) actionS; \
actionG; \
} \
while (0)
if
if(!FE_OPT_NO_SHELL_FLAG)
Definition fehelp.cc:1000
while
while(1)
Definition libparse.cc:1444

Definition at line 597 of file p_MemCmp.h.

#define _p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS) \
do \
{ \
const long* _ordsgn = (long*) ordsgn; \
if (_v1 > _v2) \
{ \
if (_ordsgn[_i] == 1) actionG; \
actionS; \
} \
if (_ordsgn[_i] == 1) actionS; \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthEigth

#define p_MemCmp_Bitmask_LengthEigth | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthEigth(actionS); \
actionG; \
} \
while (0)

Definition at line 938 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthEigth(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthEigth(actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthFive

#define p_MemCmp_Bitmask_LengthFive | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthFive(actionS); \
actionG; \
} \
while (0)

Definition at line 911 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthFive(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthFive(actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthFour

#define p_MemCmp_Bitmask_LengthFour | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthFour(actionS); \
actionG; \
} \
while (0)

Definition at line 902 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthFour(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthFour(actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthGeneral

#define p_MemCmp_Bitmask_LengthGeneral | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
const unsigned long _l = (unsigned long) length; \
\
_i=0; \
\
while (_i < _l) \
{ \
_v1 = _s1[_i]; \
_v2 = _s2[_i]; \
\
if ((_v1 > _v2) || \
(((_v1 & _bitmask) ^ (_v2 & _bitmask)) != ((_v2 - _v1) & _bitmask))) \
actionS; \
_i++; \
} \
actionG; \
} \
while (0)

Definition at line 780 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthGeneral(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
const unsigned long _l = (unsigned long) length; \
\
_i=0; \
\
while (_i < _l) \
{ \
_v1 = _s1[_i]; \
_v2 = _s2[_i]; \
\
if ((_v1 > _v2) || \
(((_v1 & _bitmask) ^ (_v2 & _bitmask)) != ((_v2 - _v1) & _bitmask))) \
actionS; \
_i++; \
} \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthOne

#define p_MemCmp_Bitmask_LengthOne | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask(0, actionS); \
actionG; \
} \
while (0)

Definition at line 875 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthOne(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask(0, actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthSeven

#define p_MemCmp_Bitmask_LengthSeven | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthSeven(actionS); \
actionG; \
} \
while (0)

Definition at line 929 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthSeven(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthSeven(actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthSix

#define p_MemCmp_Bitmask_LengthSix | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthSix(actionS); \
actionG; \
} \
while (0)

Definition at line 920 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthSix(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthSix(actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthThree

#define p_MemCmp_Bitmask_LengthThree | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthThree(actionS); \
actionG; \
} \
while (0)

Definition at line 893 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthThree(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthThree(actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthTwo

#define p_MemCmp_Bitmask_LengthTwo | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthTwo(actionS); \
actionG; \
} \
while (0)

Definition at line 884 of file p_MemCmp.h.

#define p_MemCmp_Bitmask_LengthTwo(s1, s2, bitmask, length, actionG, actionS) \
do \
{ \
_p_MemCmp_Bitmask_Declare(s1, s2, bitmask); \
_p_MemCmp_Bitmask_LengthTwo(actionS); \
actionG; \
} \
while (0)

## p_MemCmp_Bitmask_LengthZero

#define p_MemCmp_Bitmask_LengthZero | ( |  | s1,
|  |  | s2,
|  |  | bitmask,
|  |  | length,
|  |  | actionG,
|  |  | actionS )

Value:
actionG

Definition at line 873 of file p_MemCmp.h.

## p_MemCmp_LengthEight_OrdGeneral

#define p_MemCmp_LengthEight_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthEight_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 705 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthEight_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthEight_OrdNegPomog

#define p_MemCmp_LengthEight_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthSeven_Equal(1, _s2, _s1, actionE), \
actionS, actionG)
p_MemCmp_LengthOne_OrdPomog
#define p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:70

Definition at line 241 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthSeven_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

## p_MemCmp_LengthEight_OrdNegPomogZero

#define p_MemCmp_LengthEight_OrdNegPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdNegPomog
#define p_MemCmp_LengthSeven_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:237

Definition at line 364 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdNegPosNomog

#define p_MemCmp_LengthEight_OrdNegPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthSix_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

Definition at line 476 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthSix_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

## p_MemCmp_LengthEight_OrdNegPosNomogZero

#define p_MemCmp_LengthEight_OrdNegPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdNegPosNomog
#define p_MemCmp_LengthSeven_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:471

Definition at line 579 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdNomog

#define p_MemCmp_LengthEight_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthEight_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthEight_OrdPomog
#define p_MemCmp_LengthEight_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:127

Definition at line 163 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthEight_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthEight_OrdNomogPos

#define p_MemCmp_LengthEight_OrdNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthEight_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthEight_OrdPomogNeg
#define p_MemCmp_LengthEight_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:279

Definition at line 323 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthEight_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthEight_OrdNomogPosZero

#define p_MemCmp_LengthEight_OrdNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdNomogPos
#define p_MemCmp_LengthSeven_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:321

Definition at line 382 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdNomogZero

#define p_MemCmp_LengthEight_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdNomog
#define p_MemCmp_LengthSeven_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:161

Definition at line 207 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdPomog

#define p_MemCmp_LengthEight_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthEight_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 127 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthEight_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthEight_OrdPomogNeg

#define p_MemCmp_LengthEight_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(7, _s2, _s1, actionE), \
actionG, actionS)
p_MemCmp_LengthSeven_OrdPomog
#define p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:118

Definition at line 279 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(7, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthEight_OrdPomogNegZero

#define p_MemCmp_LengthEight_OrdPomogNegZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdPomogNeg
#define p_MemCmp_LengthSeven_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:275

Definition at line 344 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdPomogZero

#define p_MemCmp_LengthEight_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 185 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdPosNomog

#define p_MemCmp_LengthEight_OrdPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthEight_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthEight_OrdNegPomog
#define p_MemCmp_LengthEight_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:241

Definition at line 303 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthEight_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthEight_OrdPosNomogPos

#define p_MemCmp_LengthEight_OrdPosNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthSix_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(7, _s1, _s2, actionE)), \
actionG, actionS)

Definition at line 518 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthSix_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(7, _s1, _s2, actionE)), \
actionG, actionS)

## p_MemCmp_LengthEight_OrdPosNomogPosZero

#define p_MemCmp_LengthEight_OrdPosNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdPosNomogPos
#define p_MemCmp_LengthSeven_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:513

Definition at line 561 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdPosNomogZero

#define p_MemCmp_LengthEight_OrdPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdPosNomog
#define p_MemCmp_LengthSeven_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:301

Definition at line 400 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthEight_OrdPosPosNomog

#define p_MemCmp_LengthEight_OrdPosPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthSix_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

Definition at line 435 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthSix_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

## p_MemCmp_LengthEight_OrdPosPosNomogZero

#define p_MemCmp_LengthEight_OrdPosPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSeven_OrdPosPosNomog
#define p_MemCmp_LengthSeven_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:430

Definition at line 543 of file p_MemCmp.h.

#define p_MemCmp_LengthEight_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdGeneral

#define p_MemCmp_LengthFive_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthFive_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 678 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthFive_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthFive_OrdNegPomog

#define p_MemCmp_LengthFive_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFour_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

Definition at line 229 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFour_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

## p_MemCmp_LengthFive_OrdNegPomogZero

#define p_MemCmp_LengthFive_OrdNegPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdNegPomog
#define p_MemCmp_LengthFour_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:225

Definition at line 358 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdNegPosNomog

#define p_MemCmp_LengthFive_OrdNegPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthThree_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

Definition at line 461 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthThree_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

## p_MemCmp_LengthFive_OrdNegPosNomogZero

#define p_MemCmp_LengthFive_OrdNegPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdNegPosNomog
#define p_MemCmp_LengthFour_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:456

Definition at line 573 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdNomog

#define p_MemCmp_LengthFive_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthFive_OrdPomog
#define p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:102

Definition at line 157 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthFive_OrdNomogPos

#define p_MemCmp_LengthFive_OrdNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthFive_OrdPomogNeg
#define p_MemCmp_LengthFive_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:267

Definition at line 317 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthFive_OrdNomogPosZero

#define p_MemCmp_LengthFive_OrdNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdNomogPos
#define p_MemCmp_LengthFour_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:315

Definition at line 376 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdNomogZero

#define p_MemCmp_LengthFive_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdNomog
#define p_MemCmp_LengthFour_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:155

Definition at line 201 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdPomog

#define p_MemCmp_LengthFive_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthFive_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 102 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthFive_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthFive_OrdPomogNeg

#define p_MemCmp_LengthFive_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(4, _s2, _s1, actionE), \
actionG, actionS)
p_MemCmp_LengthFour_OrdPomog
#define p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:94

Definition at line 267 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(4, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthFive_OrdPomogNegZero

#define p_MemCmp_LengthFive_OrdPomogNegZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdPomogNeg
#define p_MemCmp_LengthFour_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:263

Definition at line 338 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdPomogZero

#define p_MemCmp_LengthFive_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 179 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdPosNomog

#define p_MemCmp_LengthFive_OrdPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthFive_OrdNegPomog
#define p_MemCmp_LengthFive_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:229

Definition at line 297 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthFive_OrdPosNomogPos

#define p_MemCmp_LengthFive_OrdPosNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthThree_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(4, _s1, _s2, actionE)), \
actionG, actionS)

Definition at line 503 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthThree_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(4, _s1, _s2, actionE)), \
actionG, actionS)

## p_MemCmp_LengthFive_OrdPosNomogPosZero

#define p_MemCmp_LengthFive_OrdPosNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdPosNomogPos
#define p_MemCmp_LengthFour_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:498

Definition at line 555 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdPosNomogZero

#define p_MemCmp_LengthFive_OrdPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdPosNomog
#define p_MemCmp_LengthFour_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:295

Definition at line 394 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFive_OrdPosPosNomog

#define p_MemCmp_LengthFive_OrdPosPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthThree_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

Definition at line 420 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthThree_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

## p_MemCmp_LengthFive_OrdPosPosNomogZero

#define p_MemCmp_LengthFive_OrdPosPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFour_OrdPosPosNomog
#define p_MemCmp_LengthFour_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:415

Definition at line 537 of file p_MemCmp.h.

#define p_MemCmp_LengthFive_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdGeneral

#define p_MemCmp_LengthFour_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthFour_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 669 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthFour_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthFour_OrdNegPomog

#define p_MemCmp_LengthFour_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthThree_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

Definition at line 225 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthThree_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

## p_MemCmp_LengthFour_OrdNegPomogZero

#define p_MemCmp_LengthFour_OrdNegPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdNegPomog
#define p_MemCmp_LengthThree_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:221

Definition at line 356 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdNegPosNomog

#define p_MemCmp_LengthFour_OrdNegPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthTwo_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

Definition at line 456 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthTwo_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

## p_MemCmp_LengthFour_OrdNegPosNomogZero

#define p_MemCmp_LengthFour_OrdNegPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdNegPosNomog
#define p_MemCmp_LengthThree_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:451

Definition at line 571 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdNomog

#define p_MemCmp_LengthFour_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 155 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthFour_OrdNomogPos

#define p_MemCmp_LengthFour_OrdNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 315 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthFour_OrdNomogPosZero

#define p_MemCmp_LengthFour_OrdNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdNomogPos
#define p_MemCmp_LengthThree_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:313

Definition at line 374 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdNomogZero

#define p_MemCmp_LengthFour_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdNomog
#define p_MemCmp_LengthThree_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:153

Definition at line 199 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdPomog

#define p_MemCmp_LengthFour_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthFour_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 94 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthFour_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthFour_OrdPomogNeg

#define p_MemCmp_LengthFour_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(3, _s2, _s1, actionE), \
actionG, actionS)
p_MemCmp_LengthThree_OrdPomog
#define p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:86

Definition at line 263 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(3, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthFour_OrdPomogNegZero

#define p_MemCmp_LengthFour_OrdPomogNegZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdPomogNeg
#define p_MemCmp_LengthThree_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:259

Definition at line 336 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdPomogZero

#define p_MemCmp_LengthFour_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 177 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdPosNomog

#define p_MemCmp_LengthFour_OrdPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFour_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 295 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFour_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthFour_OrdPosNomogPos

#define p_MemCmp_LengthFour_OrdPosNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthTwo_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(3, _s1, _s2, actionE)), \
actionG, actionS)

Definition at line 498 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthTwo_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(3, _s1, _s2, actionE)), \
actionG, actionS)

## p_MemCmp_LengthFour_OrdPosNomogPosZero

#define p_MemCmp_LengthFour_OrdPosNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdPosNomogPos
#define p_MemCmp_LengthThree_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:493

Definition at line 553 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdPosNomogZero

#define p_MemCmp_LengthFour_OrdPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdPosNomog
#define p_MemCmp_LengthThree_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:293

Definition at line 392 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthFour_OrdPosPosNomog

#define p_MemCmp_LengthFour_OrdPosPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthTwo_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

Definition at line 415 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthTwo_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

## p_MemCmp_LengthFour_OrdPosPosNomogZero

#define p_MemCmp_LengthFour_OrdPosPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthThree_OrdPosPosNomog
#define p_MemCmp_LengthThree_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:410

Definition at line 535 of file p_MemCmp.h.

#define p_MemCmp_LengthFour_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdGeneral

#define p_MemCmp_LengthGeneral_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
const unsigned long _l = (unsigned long) length; \
\
_i=0; \
\
LengthGeneral_OrdGeneral_LoopTop: \
_v1 = _s1[_i]; \
_v2 = _s2[_i]; \
if (_v1 == _v2) \
{ \
_i++; \
if (_i == _l) actionE; \
goto LengthGeneral_OrdGeneral_LoopTop; \
} \
\
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 719 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
const unsigned long _l = (unsigned long) length; \
\
_i=0; \
\
LengthGeneral_OrdGeneral_LoopTop: \
_v1 = _s1[_i]; \
_v2 = _s2[_i]; \
if (_v1 == _v2) \
{ \
_i++; \
if (_i == _l) actionE; \
goto LengthGeneral_OrdGeneral_LoopTop; \
} \
\
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthGeneral_OrdGeneral2

#define p_MemCmp_LengthGeneral_OrdGeneral2 | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
int _i; \
\
for (_i=0; _i<length;_i++) \
{ \
if (s1[_i] != s2[_i]) \
{ \
if (s1[_i] > s2[_i]) \
{ \
if (ordsgn[_i] == 1) \
actionG; \
actionS; \
} \
if (ordsgn[_i] == 1) \
actionS; \
actionG; \
} \
} \
actionE; \
} \
while (0)

Definition at line 742 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdGeneral2(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
int _i; \
\
for (_i=0; _i<length;_i++) \
{ \
if (s1[_i] != s2[_i]) \
{ \
if (s1[_i] > s2[_i]) \
{ \
if (ordsgn[_i] == 1) \
actionG; \
actionS; \
} \
if (ordsgn[_i] == 1) \
actionS; \
actionG; \
} \
} \
actionE; \
} \
while (0)

## p_MemCmp_LengthGeneral_OrdNegPomog

#define p_MemCmp_LengthGeneral_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthGeneral_Equal(1, _s2, _s1, (length) -1, actionE), \
actionS, actionG)
_p_MemCmp_LengthGeneral_Equal
#define _p_MemCmp_LengthGeneral_Equal(i, s1, s2, length, actionE)
Definition p_MemCmp.h:45

Definition at line 245 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthGeneral_Equal(1, _s2, _s1, (length) -1, actionE), \
actionS, actionG)

## p_MemCmp_LengthGeneral_OrdNegPomogZero

#define p_MemCmp_LengthGeneral_OrdNegPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdNegPomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthGeneral_OrdNegPomog
#define p_MemCmp_LengthGeneral_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:245

Definition at line 366 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdNegPomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdNegPosNomog

#define p_MemCmp_LengthGeneral_OrdNegPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthGeneral_Equal(2, _s1,_s2, \
(length-2) , actionE)), \
actionS, actionG)

Definition at line 481 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthGeneral_Equal(2, _s1,_s2, \
(length-2) , actionE)), \
actionS, actionG)

## p_MemCmp_LengthGeneral_OrdNegPosNomogZero

#define p_MemCmp_LengthGeneral_OrdNegPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdNegPosNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthGeneral_OrdNegPosNomog
#define p_MemCmp_LengthGeneral_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:481

Definition at line 581 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdNegPosNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdNomog

#define p_MemCmp_LengthGeneral_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthGeneral_OrdPomog
#define p_MemCmp_LengthGeneral_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:135

Definition at line 165 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthGeneral_OrdNomogPos

#define p_MemCmp_LengthGeneral_OrdNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)
p_MemCmp_LengthGeneral_OrdPomogNeg
#define p_MemCmp_LengthGeneral_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:283

Definition at line 325 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthGeneral_OrdNomogPosZero

#define p_MemCmp_LengthGeneral_OrdNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdNomogPos(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthGeneral_OrdNomogPos
#define p_MemCmp_LengthGeneral_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:325

Definition at line 384 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdNomogPos(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdNomogZero

#define p_MemCmp_LengthGeneral_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthGeneral_OrdNomog
#define p_MemCmp_LengthGeneral_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:165

Definition at line 209 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPomog

#define p_MemCmp_LengthGeneral_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthGeneral_Equal(0, _s1, _s2, length, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 135 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthGeneral_Equal(0, _s1, _s2, length, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthGeneral_OrdPomogNeg

#define p_MemCmp_LengthGeneral_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPomog(s1, s2, (length-1), ordsgn, \
_p_MemCmp_Equal(_i, _s2, _s1, actionE), \
actionG, actionS)

Definition at line 283 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPomog(s1, s2, (length-1), ordsgn, \
_p_MemCmp_Equal(_i, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPomogNegZero

#define p_MemCmp_LengthGeneral_OrdPomogNegZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPomogNeg(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

Definition at line 346 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPomogNeg(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPomogZero

#define p_MemCmp_LengthGeneral_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

Definition at line 187 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPosNomog

#define p_MemCmp_LengthGeneral_OrdPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 305 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthGeneral_OrdPosNomogPos

#define p_MemCmp_LengthGeneral_OrdPosNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthGeneral_Equal(1, _s2, _s1, (length - 2), \
_p_MemCmp_Equal(_i, _s1, _s2, actionE)), \
actionG, actionS)

Definition at line 523 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthGeneral_Equal(1, _s2, _s1, (length - 2), \
_p_MemCmp_Equal(_i, _s1, _s2, actionE)), \
actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPosNomogPosZero

#define p_MemCmp_LengthGeneral_OrdPosNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPosNomogPos(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthGeneral_OrdPosNomogPos
#define p_MemCmp_LengthGeneral_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:523

Definition at line 563 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPosNomogPos(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPosNomogZero

#define p_MemCmp_LengthGeneral_OrdPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPosNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthGeneral_OrdPosNomog
#define p_MemCmp_LengthGeneral_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:305

Definition at line 402 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPosNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPosPosNomog

#define p_MemCmp_LengthGeneral_OrdPosPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthGeneral_Equal(2,_s2,_s1,(length-2), actionE)), \
actionG, actionS)

Definition at line 440 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthGeneral_Equal(2,_s2,_s1,(length-2), actionE)), \
actionG, actionS)

## p_MemCmp_LengthGeneral_OrdPosPosNomogZero

#define p_MemCmp_LengthGeneral_OrdPosPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthGeneral_OrdPosPosNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthGeneral_OrdPosPosNomog
#define p_MemCmp_LengthGeneral_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:440

Definition at line 545 of file p_MemCmp.h.

#define p_MemCmp_LengthGeneral_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthGeneral_OrdPosPosNomog(s1, s2, (length) -1, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthOne_OrdGeneral

#define p_MemCmp_LengthOne_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_OrdGeneral(0, actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 642 of file p_MemCmp.h.

#define p_MemCmp_LengthOne_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_OrdGeneral(0, actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthOne_OrdNomog

#define p_MemCmp_LengthOne_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 149 of file p_MemCmp.h.

#define p_MemCmp_LengthOne_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthOne_OrdPomog

#define p_MemCmp_LengthOne_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthOne_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 70 of file p_MemCmp.h.

#define p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthOne_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthSeven_OrdGeneral

#define p_MemCmp_LengthSeven_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthSeven_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 696 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthSeven_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthSeven_OrdNegPomog

#define p_MemCmp_LengthSeven_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthSix_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

Definition at line 237 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthSix_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

## p_MemCmp_LengthSeven_OrdNegPomogZero

#define p_MemCmp_LengthSeven_OrdNegPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdNegPomog
#define p_MemCmp_LengthSix_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:233

Definition at line 362 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdNegPosNomog

#define p_MemCmp_LengthSeven_OrdNegPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthFive_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

Definition at line 471 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthFive_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

## p_MemCmp_LengthSeven_OrdNegPosNomogZero

#define p_MemCmp_LengthSeven_OrdNegPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdNegPosNomog
#define p_MemCmp_LengthSix_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:466

Definition at line 577 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdNomog

#define p_MemCmp_LengthSeven_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 161 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthSeven_OrdNomogPos

#define p_MemCmp_LengthSeven_OrdNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 321 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthSeven_OrdNomogPosZero

#define p_MemCmp_LengthSeven_OrdNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdNomogPos
#define p_MemCmp_LengthSix_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:319

Definition at line 380 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdNomogZero

#define p_MemCmp_LengthSeven_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdNomog
#define p_MemCmp_LengthSix_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:159

Definition at line 205 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdPomog

#define p_MemCmp_LengthSeven_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthSeven_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS);; \
} \
while (0)

Definition at line 118 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthSeven_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS);; \
} \
while (0)

## p_MemCmp_LengthSeven_OrdPomogNeg

#define p_MemCmp_LengthSeven_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(6, _s2, _s1, actionE), \
actionG, actionS)
p_MemCmp_LengthSix_OrdPomog
#define p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:110

Definition at line 275 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(6, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthSeven_OrdPomogNegZero

#define p_MemCmp_LengthSeven_OrdPomogNegZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdPomogNeg
#define p_MemCmp_LengthSix_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:271

Definition at line 342 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdPomogZero

#define p_MemCmp_LengthSeven_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 183 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdPosNomog

#define p_MemCmp_LengthSeven_OrdPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSeven_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 301 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSeven_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthSeven_OrdPosNomogPos

#define p_MemCmp_LengthSeven_OrdPosNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFive_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(6, _s1, _s2, actionE)), \
actionG, actionS)

Definition at line 513 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFive_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(6, _s1, _s2, actionE)), \
actionG, actionS)

## p_MemCmp_LengthSeven_OrdPosNomogPosZero

#define p_MemCmp_LengthSeven_OrdPosNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdPosNomogPos
#define p_MemCmp_LengthSix_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:508

Definition at line 559 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdPosNomogZero

#define p_MemCmp_LengthSeven_OrdPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdPosNomog
#define p_MemCmp_LengthSix_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:299

Definition at line 398 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSeven_OrdPosPosNomog

#define p_MemCmp_LengthSeven_OrdPosPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthFive_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

Definition at line 430 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthFive_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

## p_MemCmp_LengthSeven_OrdPosPosNomogZero

#define p_MemCmp_LengthSeven_OrdPosPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthSix_OrdPosPosNomog
#define p_MemCmp_LengthSix_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:425

Definition at line 541 of file p_MemCmp.h.

#define p_MemCmp_LengthSeven_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdGeneral

#define p_MemCmp_LengthSix_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthSix_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 687 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthSix_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthSix_OrdNegPomog

#define p_MemCmp_LengthSix_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFive_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

Definition at line 233 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFive_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

## p_MemCmp_LengthSix_OrdNegPomogZero

#define p_MemCmp_LengthSix_OrdNegPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 360 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdNegPosNomog

#define p_MemCmp_LengthSix_OrdNegPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthFour_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

Definition at line 466 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthFour_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

## p_MemCmp_LengthSix_OrdNegPosNomogZero

#define p_MemCmp_LengthSix_OrdNegPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFive_OrdNegPosNomog
#define p_MemCmp_LengthFive_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:461

Definition at line 575 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNegPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdNomog

#define p_MemCmp_LengthSix_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 159 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthSix_OrdNomogPos

#define p_MemCmp_LengthSix_OrdNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 319 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthSix_OrdNomogPosZero

#define p_MemCmp_LengthSix_OrdNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFive_OrdNomogPos
#define p_MemCmp_LengthFive_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:317

Definition at line 378 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdNomogZero

#define p_MemCmp_LengthSix_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFive_OrdNomog
#define p_MemCmp_LengthFive_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:157

Definition at line 203 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdPomog

#define p_MemCmp_LengthSix_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthSix_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 110 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthSix_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthSix_OrdPomogNeg

#define p_MemCmp_LengthSix_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(5, _s2, _s1, actionE), \
actionG, actionS)

Definition at line 271 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(5, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthSix_OrdPomogNegZero

#define p_MemCmp_LengthSix_OrdPomogNegZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 340 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdPomogZero

#define p_MemCmp_LengthSix_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 181 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdPosNomog

#define p_MemCmp_LengthSix_OrdPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthSix_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 299 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthSix_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthSix_OrdPosNomogPos

#define p_MemCmp_LengthSix_OrdPosNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFour_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(5, _s1, _s2, actionE)), \
actionG, actionS)

Definition at line 508 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthFour_Equal(1, _s2, _s1, \
_p_MemCmp_Equal(5, _s1, _s2, actionE)), \
actionG, actionS)

## p_MemCmp_LengthSix_OrdPosNomogPosZero

#define p_MemCmp_LengthSix_OrdPosNomogPosZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFive_OrdPosNomogPos
#define p_MemCmp_LengthFive_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:503

Definition at line 557 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPosNomogPosZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdPosNomogZero

#define p_MemCmp_LengthSix_OrdPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFive_OrdPosNomog
#define p_MemCmp_LengthFive_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:297

Definition at line 396 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthSix_OrdPosPosNomog

#define p_MemCmp_LengthSix_OrdPosPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthFour_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

Definition at line 425 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthFour_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

## p_MemCmp_LengthSix_OrdPosPosNomogZero

#define p_MemCmp_LengthSix_OrdPosPosNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthFive_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthFive_OrdPosPosNomog
#define p_MemCmp_LengthFive_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:420

Definition at line 539 of file p_MemCmp.h.

#define p_MemCmp_LengthSix_OrdPosPosNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthFive_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthThree_OrdGeneral

#define p_MemCmp_LengthThree_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthThree_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 660 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthThree_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthThree_OrdNegPomog

#define p_MemCmp_LengthThree_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthTwo_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

Definition at line 221 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthTwo_Equal(1, _s2, _s1, actionE), \
actionS, actionG)

## p_MemCmp_LengthThree_OrdNegPomogZero

#define p_MemCmp_LengthThree_OrdNegPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthTwo_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthTwo_OrdNegPomog
#define p_MemCmp_LengthTwo_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:217

Definition at line 354 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdNegPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthTwo_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthThree_OrdNegPosNomog

#define p_MemCmp_LengthThree_OrdNegPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthOne_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)
_p_MemCmp_LengthOne_Equal
#define _p_MemCmp_LengthOne_Equal(i, s1, s2, actionE)
Definition p_MemCmp.h:29

Definition at line 451 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdNegPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, \
_p_MemCmp_LengthOne_Equal(2, _s1, _s2, actionE)), \
actionS, actionG)

## p_MemCmp_LengthThree_OrdNomog

#define p_MemCmp_LengthThree_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 153 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthThree_OrdNomogPos

#define p_MemCmp_LengthThree_OrdNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 313 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthThree_OrdNomogZero

#define p_MemCmp_LengthThree_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthTwo_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthTwo_OrdNomog
#define p_MemCmp_LengthTwo_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:151

Definition at line 197 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthTwo_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthThree_OrdPomog

#define p_MemCmp_LengthThree_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthThree_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 86 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthThree_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthThree_OrdPomogNeg

#define p_MemCmp_LengthThree_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(2, _s2, _s1, actionE), \
actionG, actionS)
p_MemCmp_LengthTwo_OrdPomog
#define p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:78

Definition at line 259 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(2, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthThree_OrdPomogNegZero

#define p_MemCmp_LengthThree_OrdPomogNegZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthTwo_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthTwo_OrdPomogNeg
#define p_MemCmp_LengthTwo_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:255

Definition at line 334 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdPomogNegZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthTwo_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthThree_OrdPomogZero

#define p_MemCmp_LengthThree_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 175 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthThree_OrdPosNomog

#define p_MemCmp_LengthThree_OrdPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthThree_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 293 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthThree_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthThree_OrdPosNomogPos

#define p_MemCmp_LengthThree_OrdPosNomogPos | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthOne_Equal(1, _s2, _s1, \
_p_MemCmp_LengthOne_Equal(2, _s1, _s2, actionE)), \
actionG, actionS)

Definition at line 493 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdPosNomogPos(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthOne_Equal(1, _s2, _s1, \
_p_MemCmp_LengthOne_Equal(2, _s1, _s2, actionE)), \
actionG, actionS)

## p_MemCmp_LengthThree_OrdPosPosNomog

#define p_MemCmp_LengthThree_OrdPosPosNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthOne_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

Definition at line 410 of file p_MemCmp.h.

#define p_MemCmp_LengthThree_OrdPosPosNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s1, _s2, \
_p_MemCmp_LengthOne_Equal(2, _s2, _s1, actionE)), \
actionG, actionS)

## p_MemCmp_LengthTwo_OrdGeneral

#define p_MemCmp_LengthTwo_OrdGeneral | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthTwo_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

Definition at line 651 of file p_MemCmp.h.

#define p_MemCmp_LengthTwo_OrdGeneral(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_OrdGeneral_Declare(s1, s2); \
_p_MemCmp_LengthTwo_OrdGeneral(actionE); \
_p_MemCmp_OrdGeneral_NotEqual(ordsgn, actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthTwo_OrdNegPomog

#define p_MemCmp_LengthTwo_OrdNegPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthOne_Equal(1, _s2, _s1,actionE), \
actionS, actionG)

Definition at line 217 of file p_MemCmp.h.

#define p_MemCmp_LengthTwo_OrdNegPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_LengthOne_Equal(1, _s2, _s1,actionE), \
actionS, actionG)

## p_MemCmp_LengthTwo_OrdNomog

#define p_MemCmp_LengthTwo_OrdNomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

Definition at line 151 of file p_MemCmp.h.

#define p_MemCmp_LengthTwo_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, actionE, actionS, actionG)

## p_MemCmp_LengthTwo_OrdNomogZero

#define p_MemCmp_LengthTwo_OrdNomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
p_MemCmp_LengthOne_OrdNomog
#define p_MemCmp_LengthOne_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)
Definition p_MemCmp.h:149

Definition at line 195 of file p_MemCmp.h.

#define p_MemCmp_LengthTwo_OrdNomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdNomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

## p_MemCmp_LengthTwo_OrdPomog

#define p_MemCmp_LengthTwo_OrdPomog | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthTwo_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

Definition at line 78 of file p_MemCmp.h.

#define p_MemCmp_LengthTwo_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS) \
do \
{ \
_p_MemCmp_Declare(s1,s2); \
_p_MemCmp_LengthTwo_Equal(0, _s1, _s2, actionE); \
_p_MemCmp_NotEqual(actionG, actionS); \
} \
while (0)

## p_MemCmp_LengthTwo_OrdPomogNeg

#define p_MemCmp_LengthTwo_OrdPomogNeg | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, actionE), \
actionG, actionS)

Definition at line 255 of file p_MemCmp.h.

#define p_MemCmp_LengthTwo_OrdPomogNeg(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, \
_p_MemCmp_Equal(1, _s2, _s1, actionE), \
actionG, actionS)

## p_MemCmp_LengthTwo_OrdPomogZero

#define p_MemCmp_LengthTwo_OrdPomogZero | ( |  | s1,
|  |  | s2,
|  |  | length,
|  |  | ordsgn,
|  |  | actionE,
|  |  | actionG,
|  |  | actionS )

Value:
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)

Definition at line 173 of file p_MemCmp.h.

#define p_MemCmp_LengthTwo_OrdPomogZero(s1, s2, length, ordsgn, actionE, actionG, actionS) \
p_MemCmp_LengthOne_OrdPomog(s1, s2, length, ordsgn, actionE, actionG, actionS)